use crate::protobuf::rpc;

const SUBJECT: &str = "bet.beteran.c2se.common.identity";

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationRequest {
  #[prost(string, tag = "1")]
  pub username: ::prost::alloc::string::String,
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationResponse {
  #[prost(bool, tag = "1")]
  pub duplicated: bool,
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationRequest {
  #[prost(string, tag = "1")]
  pub nickname: ::prost::alloc::string::String,
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationResponse {
  #[prost(bool, tag = "1")]
  pub duplicated: bool,
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaRequest {}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaResponse {
  #[prost(string, tag = "1")]
  pub token: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub image: ::prost::alloc::string::String,
}
